<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.4) on Wed Sep 04 00:47:46 EEST 2019 -->
<title>StringOperations (wrike_task_handler 4.4.1 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-09-04">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="StringOperations (wrike_task_handler 4.4.1 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-all.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">utils</a></div>
<h2 title="Class StringOperations" class="title">Class StringOperations</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>utils.StringOperations</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">StringOperations</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#commentMarker">commentMarker</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#htmlLineBreak">htmlLineBreak</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#newLineDelimiter">newLineDelimiter</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">StringOperations</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addCommentMarker(java.lang.String)">addCommentMarker</a></span>&#8203;(java.lang.String&nbsp;input)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addIdTagToText(com.intellij.openapi.util.Pair,java.lang.String)">addIdTagToText</a></span>&#8203;(com.intellij.openapi.util.Pair&lt;java.lang.String,&#8203;java.lang.String&gt;&nbsp;taskData,
              java.lang.String&nbsp;text)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCleanedFirstValidLine(java.lang.String)">getCleanedFirstValidLine</a></span>&#8203;(java.lang.String&nbsp;input)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#removeCommentMarkerFromLineStart(java.lang.String)">removeCommentMarkerFromLineStart</a></span>&#8203;(java.lang.String&nbsp;input)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#removeEmptyLinesAtBeginningOfText(java.lang.String)">removeEmptyLinesAtBeginningOfText</a></span>&#8203;(java.lang.String&nbsp;text)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static <a href="Result.html" title="class in utils">Result</a>&lt;java.lang.String&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#replaceUrlEscapeChars(java.lang.String)">replaceUrlEscapeChars</a></span>&#8203;(java.lang.String&nbsp;input)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static java.util.List&lt;java.lang.String&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#splitToListByDelimiter(java.lang.String,java.lang.String)">splitToListByDelimiter</a></span>&#8203;(java.lang.String&nbsp;text,
                      java.lang.String&nbsp;delimiter)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="commentMarker">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>commentMarker</h4>
<pre>public static final&nbsp;java.lang.String commentMarker</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#utils.StringOperations.commentMarker">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="newLineDelimiter">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>newLineDelimiter</h4>
<pre>public static final&nbsp;java.lang.String newLineDelimiter</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#utils.StringOperations.newLineDelimiter">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="htmlLineBreak">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>htmlLineBreak</h4>
<pre>public static final&nbsp;java.lang.String htmlLineBreak</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#utils.StringOperations.htmlLineBreak">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>StringOperations</h4>
<pre>public&nbsp;StringOperations()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="removeCommentMarkerFromLineStart(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeCommentMarkerFromLineStart</h4>
<pre class="methodSignature">public static&nbsp;java.lang.String&nbsp;removeCommentMarkerFromLineStart&#8203;(java.lang.String&nbsp;input)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>input</code> - the String to be changed</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>On success: the input String, where all the start of each line was stripped of comment markers <br>
 On error: null</dd>
</dl>
</li>
</ul>
<a id="splitToListByDelimiter(java.lang.String,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>splitToListByDelimiter</h4>
<pre class="methodSignature">public static&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;splitToListByDelimiter&#8203;(java.lang.String&nbsp;text,
                                                                      java.lang.String&nbsp;delimiter)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>text</code> - the String to be split</dd>
<dd><code>delimiter</code> - the String to use as a delimiter</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>On success: a list substring derived from splitting input text. (the delimiter test is not included in the output) <br>
 On error: null</dd>
</dl>
</li>
</ul>
<a id="addCommentMarker(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addCommentMarker</h4>
<pre class="methodSignature">public static&nbsp;java.lang.String&nbsp;addCommentMarker&#8203;(java.lang.String&nbsp;input)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>input</code> - - String to be changed</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>- the input string with comment markers at the start of the line</dd>
</dl>
</li>
</ul>
<a id="removeEmptyLinesAtBeginningOfText(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeEmptyLinesAtBeginningOfText</h4>
<pre class="methodSignature">public static&nbsp;java.lang.String&nbsp;removeEmptyLinesAtBeginningOfText&#8203;(java.lang.String&nbsp;text)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>text</code> - String to be changed</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>On success: the input text without any empty lines on top of the first line with text <br>
 On error: null</dd>
</dl>
</li>
</ul>
<a id="getCleanedFirstValidLine(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCleanedFirstValidLine</h4>
<pre class="methodSignature">public static&nbsp;java.lang.String&nbsp;getCleanedFirstValidLine&#8203;(java.lang.String&nbsp;input)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>input</code> - String to be changed</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>On success: the input String stripped of comment markers at the start of the line and of any empty chars (' ', '\t' ...) at the beginning and end of the line <br>
 On error: null</dd>
</dl>
</li>
</ul>
<a id="addIdTagToText(com.intellij.openapi.util.Pair,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addIdTagToText</h4>
<pre class="methodSignature">public static&nbsp;java.lang.String&nbsp;addIdTagToText&#8203;(com.intellij.openapi.util.Pair&lt;java.lang.String,&#8203;java.lang.String&gt;&nbsp;taskData,
                                              java.lang.String&nbsp;text)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>taskData</code> - Pair containing task title and task id in that order</dd>
<dd><code>text</code> - String to be changed</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>On success:the input text modified as follows: <br>
 - if the first line of the text is equal to the title then the task id is added at the end of the line <br>
 - if the first line of the text is not equal to the title then a new line with comment markers task title and task id is added on top of the text <br>
 On error: null</dd>
</dl>
</li>
</ul>
<a id="replaceUrlEscapeChars(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>replaceUrlEscapeChars</h4>
<pre class="methodSignature">public static&nbsp;<a href="Result.html" title="class in utils">Result</a>&lt;java.lang.String&gt;&nbsp;replaceUrlEscapeChars&#8203;(java.lang.String&nbsp;input)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>input</code> - String to be changed</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>On success: a Result object that contains as the valid value the input text converted to the application/x-www-form-urlencoded MIME format.
 On error: a Result object that contains as the error value the text describing the exception that occurred.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-all.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
